/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#ifdef DECLARE_ERROR
#undef DECLARE_ERROR
#endif // DECLARE_ERROR

#ifndef DEFINE_ERRORS_HERE
#define DECLARE_ERROR(name, value, ct)   const unsigned int name = (EC_FAILURE | value);
#else
#define DECLARE_ERROR(name, value, ct)   { name, ID_##name, ID_##name##_EX, ct },
#endif // DEFINE_ERRORS_HERE

/**
 *=------------------------------------------------------------------------=
 *                      ERROR CODES GO IN THIS FILE
 *=------------------------------------------------------------------------=
 *  All new error codes that you define must go in this header, using
 * the DECLARE_ERROR macro.    You must come up with the error name:
 *
 *      E_NEWERRORNAME
 *
 *  and you MUST add two entries to errors.rc:
 *
 *      ID_E_NEWERRORNAME           "Error String"
 *      ID_E_NEWERRORNAME_EX        "Extended Help Information"
 *
 *  You must also define here how many rich error slots ("%s") there are in 
 *  error messages.
 */
DECLARE_ERROR(E_OUTOFMEMORY, 1, 0)
DECLARE_ERROR(E_UNKNOWN, 2, 0)
DECLARE_ERROR(E_STRTOOLONG, 3, 0)
DECLARE_ERROR(E_PARAM, 4, 0)
DECLARE_ERROR(E_NODATA, 5, 0)
DECLARE_ERROR(E_FILEIO, 6, 0)
DECLARE_ERROR(E_BAD_CONFIG, 7, 0)
DECLARE_ERROR(E_INTERNAL, 8, 0)
DECLARE_ERROR(E_NOTIMPL, 9, 0)
DECLARE_ERROR(E_FILEERR, 10, 0)
DECLARE_ERROR(E_INVALIDFORMAT, 11, 0)
DECLARE_ERROR(E_PATHTOOLONG, 12, 0)
DECLARE_ERROR(E_NOTFOUND, 13, 0)
DECLARE_ERROR(E_MISSINGFILE, 14, 0)
DECLARE_ERROR(E_DNS_LOOKUP, 15, 2)
DECLARE_ERROR(E_DB_VERSION, 16, 0)
DECLARE_ERROR(E_MSG_LOCKED, 17, 0)
DECLARE_ERROR(E_USERNAME, 18, 0)
DECLARE_ERROR(E_PASSWORD, 19, 0)
DECLARE_ERROR(E_POP_CONNECTION, 20, 0)
DECLARE_ERROR(E_NET_UNEXPECTED, 21, 0)
DECLARE_ERROR(E_NOT_CONNECTED, 22, 0)
DECLARE_ERROR(E_NOLOCALHOSTNAME, 23, 0)
DECLARE_ERROR(E_NOSPACE, 24, 0)
DECLARE_ERROR(E_POP_DELETE, 25, 0)
DECLARE_ERROR(E_INVALID_NAME, 26, 0)
DECLARE_ERROR(E_INVALID_EMAILADDR, 27, 0)
DECLARE_ERROR(E_ADDR_VERSION, 28, 1)
DECLARE_ERROR(E_ADDRESS_EXISTS, 29, 2)
DECLARE_ERROR(E_LOCKFILE_EXISTS, 30, 1)
DECLARE_ERROR(E_NO_LOCKFILE, 31, 1)
DECLARE_ERROR(E_DB_ERR, 4096, 0)
DECLARE_ERROR(E_FILE_ERR, 4097, 2)
DECLARE_ERROR(E_NET_ERR, 4098, 1)
DECLARE_ERROR(E_SYSTEM_ERR, 4099, 1)
