/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#ifndef _INTL_H_


/**
 * This file defines some routines that we will use to localize strings 
 * within our UI.  I know there are a bajillion APIs out there to do this,
 * but I'm not 100% comfortable with msot of them, so I'll just use this, as
 * it's a good exercise in coding ...
 */

// UNDONE: marcw, 10.15.2000 -- implement the rest of this.


#define intlInit()
#define intlTerm()

typedef const int STRINGID;


/**
 * Load the given string from the current locale for our program.  The given
 * string has been newly allocated, and must be freed with localFree().
 */
const char *intlLoadString(int);

/**
 * This version returns a string that doesn't need to be freed.
 */
const char *intlLoadStringX(int);


/**
 * Load in the given accelerator string for the current locale.
 */
int intlLoadAccelerator(int);






#define _INTL_H_
#endif // _INTL_H_


