/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#ifndef _ACCOUNTDLG_H_
#define _ACCOUNTDLG_H_

#include <sanity.h>

#include <qdialog.h>

#include <llist.h>

class QIconViewItem;
class QPushButton;
class QIconView;

class ISubsystem;
class IAccount;


/**
 *=------------------------------------------------------------------------=
 * This file contains a dialog to manage accounts on a system.
 *=------------------------------------------------------------------------=
 */
class AccountsDialog : public QDialog {

    Q_OBJECT

  public:
    AccountsDialog();
    virtual ~AccountsDialog();
    ERRCODE initialize(LinkList<ISubsystem *> & subsystems,
                       LinkList<IAccount *> & accounts);


  private:
    LinkList<ISubsystem *> subsystems;
    QIconViewItem *addAccount;
    QPushButton *closeButton;
    QIconView *iconView;

    ERRCODE addAccounts(LinkList<IAccount *> & accounts);
    void addNewAccount();

  protected:
    void resizeEvent(QResizeEvent *);

  private slots:
    void closeButtonPushed();
    void iconDoubleClicked(QIconViewItem *);

};



#endif // _ACCOUNTDLG_H_


