/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#ifndef _ADDRPICKER_H_
#define _ADDRPICKER_H_

#include <sanity.h>
#include <llist.h>

#include <intl.h>

#include "addrpicker.dlg.h"

/**
 * Defines the dialog that will come up in the mail editing window to let
 * users put addresses in the to/cc/bcc lists without having to type 
 * everything in each time.
 */
class AddressPicker : public AddressPickerDialog {

    Q_OBJECT
    DEBUG_TEST_DECL;

  public:
    AddressPicker(STRINGID, QWidget *, const char *, bool, WFlags);
    virtual ~AddressPicker();

    /**
     * Returns the list of addresses the user chose.
     */
    ERRCODE getAddressList(LinkList<const char *> &);


  private slots:
    void addButtonClicked();
    void removeButtonClicked();
};

#endif // _ADDRPICKER_H_



