/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#ifndef _DOWNLOADDLG_H_
#define _DOWNLOADDLG_H_

#include <sanity.h>

/**
 * This file is generated by UIC.
 */
#include "download.dlg.h"


class DownloadDialog : public DownloadDlg {

    Q_OBJECT

  public:
    DownloadDialog(QWidget * parent);
    ~DownloadDialog();

    /** 
     * People use these to do their work:
     */
    void initAccount(const char *accountName);
    void setMessageCount(int cmessages);
    void nextMessage();
    void setDisplayText(const char *);
    void addMessage(const char *);

    /**
     * Shows a password dialog allowing the user to enter his or her name
     * and password, returning these to the caller.
     */
    ERRCODE showPasswordDialog(const char *account, const char *name,
                               const char * &userName, 
                               const char * & userPassword, bool & rmbr);

    void clear();

  private slots:
    void stopClicked();
    void detailsClicked();

};


#endif // _DOWNLOADDLG_H_



