/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#include <sanity.h> 

#include <qdialog.h>


#include <intl.h>


class QHBox;
class QLabel;
class QPushButton;
class QVBox;




/**
 * a little dialog for showing errors.
 */
class ErrorDialog : public QDialog {

    Q_OBJECT

  public:
    ErrorDialog();
    ~ErrorDialog();

    /**
     * Does robust initialization and creation of widgets.
     */
    ERRCODE initialize(const char * main, const char * ex);

  protected:
    virtual void resizeEvent(QResizeEvent *);

  private:
    QVBox *vbox;
    QHBox *hbox1, *hbox2;
    QPushButton *ok, *more;
    QLabel *errorLabel, *imgLabel;

  private slots:
    void showExInfo();
};


