/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#ifndef _FILEMAPPING_H_
#define _FILEMAPPING_H_

#include "mime.h"

/**
 * This file contains some routines to help set up mappings between files, 
 * icons, and the programs that are used to execute them.  It will attempt
 * to work with KDE/Gnome, or whatever other window systems are available
 * on the given computer.
 */
class QPixmap;


/**
 * Use this to help determine what icon should be chosen for a given file.
 */
QPixmap *chooseIconForFile(const char *);

/**
 * Use this to try and figure out a type and encoding for a given path
 */
void chooseMimeTypeAndEncoding(const char *, MIMETYPE &, MimeEncoding &);


/**
 * Try and come up with a program to use to launch this particular
 * type of file.
 */
ERRCODE getCommandLineForAttachment(MIMETYPE &, const char *, const char * &);


#endif // _FILEMAPPING_H_


