/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */

#include <sanity.h>


#include "hoverbutton.h"



/**
 *=------------------------------------------------------------------------=
 * HoverButton::HoverButton
 *=------------------------------------------------------------------------=
 * sets up some basic stuff for us, and that's about it.  We just have the
 * basic constructors, even though there are like 20 overloaded versions
 * we could implement -- we're really not doing that much here.
 */
HoverButton::HoverButton
(
    const QString & text,
    QWidget * parent,
    const char * name=0
) : QPushButton(text, parent, name)
{
    this->setFlat(true);
}

/**
 *=------------------------------------------------------------------------=
 * HoverButton::HoverButton
 *=------------------------------------------------------------------------=
 * sets up some basic stuff for us, and that's about it.  We just have the
 * basic constructors, even though there are like 20 overloaded versions
 * we could implement -- we're really not doing that much here.
 */
HoverButton::HoverButton
(
    const QIconSet & icon,
    const QString & text,
    QWidget * parent,
    const char * name=0
) : QPushButton(icon, text, parent, name)
{
    this->setFlat(true);
}


/**
 *=------------------------------------------------------------------------=
 * HoverButton::enterEvent
 *=------------------------------------------------------------------------=
 * when the mouse enters this control's area.
 *
 * Parameters:
 *      QEvent *            - [in]  the event object for this event.
 */
void HoverButton::enterEvent
(
    QEvent *event
)
{
    this->setFlat(false);
    this->repaint();
    QPushButton::enterEvent(event);
}

/**
 *=------------------------------------------------------------------------=
 * HoverButton::leaveEvent
 *=------------------------------------------------------------------------=
 * when the mouse leaves this control's area.
 *
 * Parameters:
 *      QEvent *            - [in]  the event object for this event.
 */ 
void HoverButton::leaveEvent
(
    QEvent *event
)
{
    this->setFlat(true);
    this->repaint();
    QPushButton::leaveEvent(event);
}


