/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#ifndef _HOVERBUTTON_H_
#define _HOVERBUTTON_H_

/**
 * This is a simple subclass of qpushbutton with a flat style that supports 
 * visual mouse tracking on enter and leave.  that's it!
 */
#include <qpushbutton.h>



class HoverButton : public QPushButton {

  public:
    HoverButton(const QString & text, QWidget * parent, const char * name=0);
    HoverButton(const QIconSet & icon, const QString & text, QWidget * parent, const char * name=0);

  protected:
    virtual void enterEvent(QEvent *);
    virtual void leaveEvent(QEvent *);
};





#endif // _HOVERBUTTON_H_



