/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#ifndef _IDOWNLOAD_H_
#define _IDOWNLOAD_H_


class MailMessage;


/**
 *=------------------------------------------------------------------------=
 * This is an interface that abstracts out the process of downloading messages
 * from some particular source into our mail subsystem.  It doesn't really 
 * NEED to be an interface, but it'll be pretty helpful to make the pop and
 * spool code a bit cleaner.
 */
class IDownload {

  public:
    virtual ERRCODE connect() = 0;
    virtual ERRCODE login(const char *name, const char *passw, int flags) = 0;
    virtual ERRCODE getMessageInfo(int & cmessages, int &totalSize) = 0;
    virtual ERRCODE downloadMessage(int msg, bool del, MailMessage **) = 0;
    virtual ERRCODE deleteMessage(int msg) = 0;
    virtual ERRCODE purgeMessages() = 0;
    virtual ERRCODE disconnect() = 0;
};





#endif // _IDOWNLOAD_H_



