/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#ifndef _INPUTBOX_H_
#define _INPUTBOX_H_


#include <qdialog.h>


class QLineEdit;
class QVBox;
class QHBox;
class QPushButton;
class QLabel;


/**
 * This simple little class is used to ask for the name of a new folder.
 */
class InputBox : public QDialog {

  public:
    InputBox();
    ~InputBox();

    /**
     * Does robust initialization and creation of widgets.
     */
    ERRCODE initialize(const char *title, const char *text);

    /** 
     * Returns the name the user entered.
     */
    ERRCODE getInput(const char * &newName);

  protected:
    virtual void resizeEvent(QResizeEvent *);

    QLineEdit *edit;

  private:
    QVBox *vbox;
    QHBox *hbox;
    QLabel *label;
    QPushButton *ok, *cancel;

};



#endif // _INPUTBOX_H_


