/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#ifndef _INSTANCE_H_
#define _INSTANCE_H_

#include <qevent.h>

/**
 * One routine is called to see if other instances are running, and pass
 * on any information they might need.
 *
 * The second makes sure that we clear out lock files and FIFOs so that
 * we don't screw it up next time.
 *
 * IT IS VERY IMPORTANT THAT THE SECOND BE CALLED EVEN WHEN THE PROGRAM
 * CRASHES -- THUS, SIGNAL HANDLERS MOST DEFINITELY HAVE TO BE REPLACED!!
 */
void instanceCheckInstance(const char *);
void instanceClearInstance();
void instanceNukeFifo();

class KInstanceEvent : public QEvent {

public:
    KInstanceEvent(const char *mailtoA) : QEvent(User) {
      this->mailto = mailtoA ? copyString(mailtoA) : NULL;
    }
    virtual ~KInstanceEvent() { if (mailto) localFree(mailto); }

    const char *mailto;
};

#endif // _INSTANCE_H_
 

