/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#include <sanity.h>

#include "itemview.h"





/**
 *=------------------------------------------------------------------------=
 * ItemView::ItemView
 *=------------------------------------------------------------------------=
 * Constructor.  Doesn't do much.
 *
 * Parameters:
 *      QWidget *           - [in]  our parent object.
 */
ItemView::ItemView(QWidget *parent) : QWidget(parent)
{
    itemViewEdit  = NULL;
}


/**
 *=------------------------------------------------------------------------=
 * ItemView::~ItemView
 *=------------------------------------------------------------------------=
 */
ItemView::~ItemView()
{
    // UNDONE: marcw, 9.27.2000 -- i really don't understand the lifetime
    // issues in Qt -- do I clean up the edit box, or does it do it 
    // automatically for me ???
}

/**
 *=------------------------------------------------------------------------=
 * ItemView::initUI
 *=------------------------------------------------------------------------=
 * initialize our UI and create our list view that we'll use to show our
 * accounts and folders.
 *
 * Output:
 *      ERRCODE
 */
ERRCODE ItemView::initUI()
{
    itemViewEdit = new QMultiLineEdit(this);
    itemViewEdit->setGeometry(0, 0, 100, 100);
    itemViewEdit->setWordWrap(QMultiLineEdit::WidgetWidth);
    itemViewEdit->setReadOnly(true);
    itemViewEdit->show();
    return S_OK;
}

/**
 *=------------------------------------------------------------------------=
 * ItemView::resizeEvent
 *=------------------------------------------------------------------------=
 * we override the resize event here so we can resize our children as 
 * appropriate.  We then resume with normal processing of this.
 *
 * Parameters:
 *      QResizeEvent *          - [in] the event with the information.
 */
void ItemView::resizeEvent
(
    QResizeEvent *event
)
{
    if (event != NULL)
        itemViewEdit->resize(event->size());
}




