/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#ifndef _ITEMVIEW_H_
#define _ITEMVIEW_H_

#include <sanity.h>

#include <qmultilineedit.h>
#include <qevent.h>


/**
 * This class holds the message view that will show the messages in the
 * current folder in the current account.
 *
 * Note that right now we're not that more advanced that an overridden Qt
 * QTreeView.  I haven't decided what else I'm going to add, so I'm just going
 * to save the pain and make it it's own thing now.
 */
class ItemView : public QWidget {

  public:
    ItemView(QWidget *);
    ~ItemView();

    /**
     * Returns the edit box we've got
     */
    ERRCODE getPreviewEdit(QMultiLineEdit * &p) {
        p = itemViewEdit;
        return S_OK;
    }

    /**
     * Initialize our UI and make sure we're coo'
     */
    ERRCODE initUI();

  protected:
    /**
     * We need to override the resize event so we can set our children's sizes
     * correctly
     */
    virtual void resizeEvent(QResizeEvent *);

  private:
    QMultiLineEdit *itemViewEdit;

};


#endif // _ITEMVIEW_H_

