/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#include <sanity.h>
#include "mailcolumns.h"

/**
 * this file contains the data and routines concerned with the available 
 * columns for mail accounts.  It's a bit more code than I'd like, but it's
 * mildly non-trivial to support all the customization that users (me) would
 * like.
 */




/**
 * Use this when setting up most folders except Outbox or Sent Items
 */
MailColumnInfo defaultFromColumnInfo[] = {

    { MC_ATTACHMENTS, true, 20, 0.0, MCS_NONE },
    { MC_STATUS, true, 20, 0.0, MCS_NONE },
    { MC_PRIORITY, true, 20, 0.0, MCS_NONE },
    { MC_FROM, false, 0, 25.0, MCS_SECONDARY },
    { MC_SUBJECT, false, 0, 60.0, MCS_NONE },
    { MC_RECEIVED, false, 0, 15.0, MCS_PRIMARY_DOWN}

};

/**
 * Use this when setting up initial Sent Items our Outbox.  
 */
MailColumnInfo defaultToColumnInfo[] = {

    { MC_ATTACHMENTS, true, 20, 0.0, MCS_NONE },
    { MC_STATUS, true, 20, 0.0, MCS_NONE },
    { MC_PRIORITY, true, 20, 0.0, MCS_NONE },
    { MC_TO, false, 0, 25, MCS_SECONDARY },
    { MC_SUBJECT, false, 0, 60, MCS_NONE },
    { MC_SENT, false, 0, 15, MCS_PRIMARY_DOWN}

};

/**
 * Use this when you're adding new columns from the column picker.  This just
 * indicates whether the given column would like to be fixed or not.
 */
MailColumnInfo allColumnsDefaultValues[] = {
    
    { MC_ATTACHMENTS, true, 20, 0.0, MCS_NONE },
    { MC_STATUS, true, 20, 0.0, MCS_NONE },
    { MC_PRIORITY, true, 20, 0.0, MCS_NONE },
    { MC_FROM, false, 0, 25.0, MCS_NONE },
    { MC_TO, false, 0, 25.0, MCS_NONE },
    { MC_SUBJECT, false, 0, 60.0, MCS_NONE },
    { MC_RECEIVED, false, 0, 15.0, MCS_NONE },
    { MC_RECEIVED, false, 0, 15.0, MCS_NONE },
    { MC_SIZE, false, 0, 15.0, MCS_NONE }
};


