/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#ifndef _MAILPROPS_H_
#define _MAILPROPS_H_

#include <sanity.h>

/**
 * This file is generated by UIC during builds.
 */
#include "mailprops.dlg.h"
#include "mailaccount.h"


/**
 * Forward decls
 */
struct MailAccountInfo;




/**
 *=------------------------------------------------------------------------=
 * This dialog is used to set properties on a mail account.
 *=------------------------------------------------------------------------=
 */
class MailProperties : public MailPropertiesDialog {

    Q_OBJECT

  public:
    MailProperties(const char *, const char *, MailAccountInfo &,
                   QWidget* parent, const char* name, bool modal, WFlags fl);
    virtual ~MailProperties();

    ERRCODE getAccountInformation(const char * &newName, MailAccountInfo &info);

  private:
    void setPopControlsEnabled(bool);
    void setPopSecurity(PopSecurity);
    void setSmtpAuthToPopAuth(bool);

    /**
     * We need to save this so we can get the account directory later.
     */
    const char *accountName;
    const char *accountDirectory;

  private slots:
    void selectServerType(int index);
    void setSmtpAuthEnabled(bool);
    void signatureButtonClicked();
    void leaveMessagesClicked();
    void dontDuplicateClicked();
    void smtpAuthTypeClicked();
    void popSecurityClicked();
};


#endif // _MAILPROPS_H_




