/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#ifndef _MAIN_H_

#include <sanity.h>

#include <llist.h>

class QApplication;
class Kiltdown;
class QMainWindow;


/**
 * This header just defines a bunch of functions and constants and variables 
 * that are used across the various files in this directory.
 */

void nukeStringList(LinkList<const char *> &);


/**
 * Directory in which all kiltdown config files live.
 */
extern const char *kiltdownDir;


/**
 * global objects
 */
#ifdef _KILTDOWN_USEKDE
class KApplication;
extern KApplication *localApplication;
#else
extern QApplication *localApplication;
#endif // _KILTDOWN_USEKDE

extern Kiltdown *localMainWidget;


#define _MAIN_H_
#endif // _MAIN_H_



