/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#ifndef _NEWACCTWIZ_H_
#define _NEWACCTWIZ_H_

#include <sanity.h>

/**
 * This is generated by UIC during the build.
 */
#include "newacctwiz.dlg.h"



struct MailAccountInfo;



/**
 * this is our class that adds in all the glue to maek the wizard
 * actually work.
 */
class NewAccountWizard : public AccountWizardDialog {

    Q_OBJECT

  public:
    NewAccountWizard(QWidget* parent, const char* name, bool modal, WFlags fl);
    virtual ~NewAccountWizard();

    ERRCODE getAccountInformation(const char *&, MailAccountInfo &);

  protected:
    /** 
     * Ask before terminating the wizard.
     */
    virtual void closeEvent(QCloseEvent *event);
    virtual void reject();
    virtual bool areYouSure();

  private slots:
    void personalDataChanged(const QString &);
    void emailDataChanged(const QString &);
    void serverTypeChanged();
    void spoolDataChanged(const QString &);
    void popDataChanged(const QString &);
    void outgoingDataChanged(const QString &);
    void nameDataChanged(const QString &);

    void spoolPathClicked();
    
};


#endif // _NEWACCTWIZ_H_



