/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#ifndef _PASSWORDDLG_H_
#define _PASSWORDDLG_H_


#include <qdialog.h>


class QLineEdit;
class QVBox;
class QHBox;
class QLabel;
class QPushButton;
class QCheckBox;

/**
 *=------------------------------------------------------------------------=
 * This Dialog is used to prompt a user for a name and a password.         *
 *=------------------------------------------------------------------------=
 */
class PasswordDialog : public QDialog {

    public:
      PasswordDialog();
      ~PasswordDialog();

      /**
       * Does robust initialization and creation of widgets.
       */
      ERRCODE initialize(const char *account, const char *name);

      /** 
       * Returns the name the user entered.
       */
      ERRCODE getInput(const char * &newName,
                       const char * &newPassword,
                       bool &saveMe);

    protected:
      virtual void resizeEvent(QResizeEvent *);

    private:
      QVBox *vbox;
      QHBox *hbox;
      QCheckBox *checkBox;
      QLabel *nameLabel, *passwordLabel, *infoLabel, *accountLabel;
      QLineEdit *name, *password;
      QPushButton *ok, *cancel;
  };


#endif // _PASSWORDDLG_H_


