/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#ifndef _POP_H_
#define _POP_H_


/**
 * this file defines the simple little class we will use to connect to a
 * specified POP3 server and download the messages from it.
 */
class MailMessage;

#define POP_MAXLINELENGTH 512            // UNDONE: marcw, 11.26.2000 -- verify


enum PopLoginType {
    PLAIN_TEXT = 0
};



class PopConnection {

  public:
    ERRCODE connect(const char *hostName, int port);
    void    disconnect();
    ERRCODE downloadMessage(int message, bool deleteMe, MailMessage **);
    ERRCODE deleteMessage(int message);
    ERRCODE getMessageInfo(int *cmessages, int *totalSize);
    ERRCODE login(const char *userName, const char *password, enum PopLoginType);
    ERRCODE purgeMessages();

    PopConnection(int timeoutInMS);
    ~PopConnection();

  private:
    int networkTimeout;
    int connectionfd;
    int messageMax;

    /**
     * Read in any available input and figure out if it started with +OK or
     * -ERR.
     */
    ERRCODE readResult();
};


#endif // _POP_H_


