/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#ifndef _SELECTME_H_
#define _SELECTME_H_

#include <sanity.h>

#include <qdialog.h>

#include <llist.h>


class QListBox;
class QPushButton;
class QLabel;

/**
 * This is a simple little dialog to show the user all available attachments
 * and let them select the ones they want to save.
 */
class SelectMeDialog : public QDialog {

    Q_OBJECT

    DEBUG_TEST_DECL;

  public:
    SelectMeDialog();
    virtual ~SelectMeDialog();

    /**
     * Public methods
     */
    ERRCODE initializeUI(const char *title, const char *caption, bool multi = true);
    ERRCODE addItem(const char *item, unsigned int itemData);
    ERRCODE getSelectedItems(LinkList<unsigned int> &);
    void    selectAll();

  protected:
    void resizeEvent(QResizeEvent *);

  private:
    QListBox *listBox;
    QPushButton *ok, *cancel;
    QLabel *label;
};


#endif // _SELECTME_H_


