/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#ifndef _UIMENU_H_

#include <intl.h>


/**
 * This struct will ease menu initialization for us a little bit.
 */
typedef enum MENUITEMTYPE {

    MENU_TOP_LEVEL,
    MENU_ITEM,
    MENU_SEPARATOR,
    MENU_SUBMENU,
    MENU_ENDSUBMENU,
    MENU_THATSALLFOLKS

};

struct MenuData {

    MENUITEMTYPE type;            // is it a menu item or a top level, or sep?
    STRINGID id;                  // localized string id for this item.
    const char **pixmap;          // image for this item.
    bool application;             // is the slot for this obj or applic. obj?
    const char *member;           // SLOT
    int accel;                    // accelerator from accel.rc
};


/**
 * These are our main application menus
 */
extern MenuData applicationMenu[];

/**
 * These are the menus for the edit window.
 */
extern MenuData mailEditWindowMenu[];

/**
 * For the mail viewer window.
 */
extern MenuData mailViewWindowMenu[];

/**
 * For the address book.
 */
extern MenuData addressBookMenu[];



#define _UIMENU_H_
#endif // _UIMENU_H_

