/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#include <sanity.h>

#include <qobject.h>        // for SLOT()

/**
 * this file let us put our toolbar structure in a table, so we don't have write
 * a tonne of code for them, and it won't be so painful to change !!
 */
#include "uiicons.h"
#include "uitoolbar.h"
#include "localized.h"


/** 
 * Our main application toolbar.
 */
ToolBarData mainToolBarData [] = {

    { TOOLBAR_BUTTON, true, ID_NEW_MESSAGE_TEXT, newmailsmIcon, newmaillgIcon, NULL, NULL, SLOT(messageNew()) },
    { TOOLBAR_SEPARATOR, false, -1, NULL, NULL, NULL, NULL, NULL },
    { TOOLBAR_BUTTON, true, ID_DELETE_TEXT, deletesmIcon, deletelgIcon, NULL, NULL, SLOT(toolbarDelete()) },
    { TOOLBAR_BUTTON, true, ID_REPLY_TEXT, replysmIcon, replylgIcon, NULL, NULL, SLOT(messageReply()) },
    { TOOLBAR_BUTTON, true, ID_REPLYALL_TEXT, replyallsmIcon, replyalllgIcon, NULL, NULL, SLOT(messageReplyAll()) },
    { TOOLBAR_BUTTON, true, ID_FORWARD_TEXT, forwardsmIcon, forwardlgIcon, NULL, NULL, SLOT(messageForward()) },
    { TOOLBAR_SEPARATOR, false, -1, NULL, NULL, NULL, NULL, NULL },
    { TOOLBAR_BUTTON, true, ID_DOWNLOAD_MAIL_TEXT, downloadsmIcon, downloadlgIcon, NULL, NULL, SLOT(accountsDownload()) },
    { TOOLBAR_SEPARATOR, false, -1, NULL, NULL, NULL, NULL, NULL },
    { TOOLBAR_BUTTON, true, ID_ACCOUNTS_TEXT, accountssmIcon, accountslgIcon, NULL, NULL, SLOT(accountsShow()) },
    { TOOLBAR_BUTTON, true, ID_ADDRESSBOOK_TEXT, addressbooksmIcon, addressbooklgIcon, NULL, NULL, SLOT(showAddressBook()) },
    { TOOLBAR_BUTTON, true, ID_SEARCH_TEXT, searchsmIcon, searchlgIcon, NULL, NULL, SLOT(editSearch()) },
    { TOOLBAR_END, false, -1,  NULL,  NULL, NULL, NULL,  NULL }

};

/**
 * The Edit window's toolbar.
 */
ToolBarData editToolBarData [] = {

    { TOOLBAR_BUTTON, true, ID_SEND_MESSAGE_TEXT, sendmessagesmIcon, sendmessagelgIcon, NULL, NULL, SLOT(fileSend()) },
    { TOOLBAR_SEPARATOR, false, -1, NULL, NULL,NULL, NULL,  NULL },
    { TOOLBAR_BUTTON, true, ID_CUT_TEXT, cutsmIcon, cutlgIcon, NULL, NULL, SLOT(editCut()) },
    { TOOLBAR_BUTTON, true, ID_COPY_TEXT, copysmIcon, copylgIcon, NULL, NULL, SLOT(editCopy()) },
    { TOOLBAR_BUTTON, true, ID_PASTE_TEXT, pastesmIcon, pastelgIcon, NULL, NULL, SLOT(editPaste()) },
    { TOOLBAR_SEPARATOR, false, -1, NULL, NULL, NULL, NULL, NULL },
    { TOOLBAR_BUTTON, true, ID_CHECK_NAMES_TEXT, checknamessmIcon, checknameslgIcon, NULL, NULL, SLOT(messageCheckNames()) },
    { TOOLBAR_BUTTON, true, ID_ATTACHMENT_TEXT, attachsmIcon, attachlgIcon, NULL, NULL, SLOT(insertAttachment()) },
//    { TOOLBAR_BUTTON, true, ID_PRIORITY_TEXT, prioritysmIcon, prioritylgIcon, 
    { TOOLBAR_SEPARATOR, false, -1, NULL, NULL, NULL, NULL, NULL },
    { TOOLBAR_BUTTON, true, ID_ADDRESSBOOK_TEXT, addressbooksmIcon, addressbooklgIcon, NULL, NULL, SLOT(addressBook()) },
    { TOOLBAR_BUTTON, true, ID_SEARCH_TEXT, searchsmIcon, searchlgIcon, NULL, NULL, SLOT(editFindText()) },
    { TOOLBAR_END, false, -1, NULL, NULL, NULL, NULL, NULL }
};

ToolBarData viewerToolBarData [] = {

    { TOOLBAR_BUTTON, true, ID_REPLY_TEXT, replysmIcon, replylgIcon, NULL, NULL, SLOT(messageReply()) },
    { TOOLBAR_BUTTON, true, ID_REPLYALL_TEXT, replyallsmIcon, replyalllgIcon, NULL, NULL, SLOT(messageReplyAll()) },
    { TOOLBAR_BUTTON, true, ID_FORWARD_TEXT, forwardsmIcon, forwardlgIcon, NULL, NULL, SLOT(messageForward()) },
    { TOOLBAR_SEPARATOR, false, -1, NULL, NULL, NULL, NULL, NULL },
    { TOOLBAR_BUTTON, true, ID_PRINT, printsmIcon, printlgIcon, NULL, NULL, SLOT(filePrint()) },
    { TOOLBAR_BUTTON, true, ID_DELETE, deletesmIcon, deletelgIcon, NULL, NULL, SLOT(messageDelete()) },
    { TOOLBAR_SEPARATOR, false, -1, NULL, NULL, NULL, NULL, NULL },
    { TOOLBAR_BUTTON, true, ID_PREVIOUS_TEXT, previoussmIcon, previouslgIcon, NULL, NULL, SLOT(viewPrevious()) },
    { TOOLBAR_BUTTON, true, ID_NEXT_TEXT, nextsmIcon, nextlgIcon, NULL, NULL, SLOT(viewNext()) },
    { TOOLBAR_SEPARATOR, false, -1, NULL, NULL, NULL, NULL, NULL },
    { TOOLBAR_BUTTON, true, ID_VIEW_HTML_TEXT, viewwebpagesmIcon, viewwebpagelgIcon, viewwebpagesmdIcon, viewwebpagelgdIcon, SLOT(viewHtmlContent()) },
//    { TOOLBAR_BUTTON, true, ID_HELPME_TEXT, helpmesmIcon, helpmelgIcon, NULL, NULL, SLOT(helpHelpMe()) },
    { TOOLBAR_END, false, -1, NULL, NULL, NULL, NULL, NULL }

};

ToolBarData addressBookToolBarData [] = {

    { TOOLBAR_BUTTON, true, ID_NEW_ADDRESS_TEXT, newaddresssmIcon, newaddresslgIcon, NULL, NULL, SLOT(fileNew()) },
    { TOOLBAR_SEPARATOR, false, -1, NULL, NULL, NULL, NULL, NULL },
    { TOOLBAR_BUTTON, true, ID_ADDRESS_PROPS, addrpropssmIcon, addrpropslgIcon, NULL, NULL, SLOT(fileProperties()) },
    { TOOLBAR_BUTTON, true, ID_DELETE, deleteaddrsmIcon, deleteaddrlgIcon, NULL, NULL, SLOT(fileDelete()) },
    { TOOLBAR_SEPARATOR, false, -1, NULL, NULL, NULL, NULL, NULL },
    { TOOLBAR_BUTTON, true, ID_PRINT, printsmIcon, print2lgIcon, NULL, NULL, SLOT(filePrint()) },
    { TOOLBAR_END, false, -1, NULL, NULL, NULL, NULL, NULL }
};

