/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#ifndef _UITOOLBAR_H_

#include <intl.h>

/**
 * This will help us create our toolbars without writing so much tedious
 * code.  This will also be a lot easier to change than said tedious code.
 */
typedef enum TOOLBARITEMTYPE {

    TOOLBAR_BUTTON,
    TOOLBAR_SEPARATOR,
    TOOLBAR_END

};


struct ToolBarData {

    TOOLBARITEMTYPE type;
    bool visible;
    STRINGID label;
    const char **pixmapSmall;
    const char **pixmapLarge;
    const char **pixmapSmallDisabled;
    const char **pixmapLargeDisabled;
    const char *member;        // SLOT for signals to go to.
};

/**
 * This is our main toolbar.
 */
extern ToolBarData mainToolBarData [];

/**
 * this is the edit window toolbar
 */
extern ToolBarData editToolBarData [];

/**
 * For the mail viewer window.
 */
extern ToolBarData viewerToolBarData [];

/**
 * Address book stuff.
 */
extern ToolBarData addressBookToolBarData[];


#define _UITOOLBAR_H_
#endif // _UITOOLBAR_H_

