/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#ifndef _USERPREF_H_

#include <qmainwindow.h>
#include "attachment.h"

/**
 * This file holds the extern declarations for all the user preference 
 * variables, and prototypes for the routines to load and save them.
 */
ERRCODE prefInit();
void prefTerm();


/**
 * Main window geometry
 */
extern int prefMainWindowLeft;
extern int prefMainWindowTop;
extern int prefMainWindowWidth;
extern int prefMainWindowHeight;

/**
 * Main Window preferences
 */
extern bool prefMainStatusBarVisible;
extern bool prefMainToolBarVisible;
extern QMainWindow::ToolBarDock prefMainToolBarLocation;
extern const char *prefDefaultAccount;
extern bool prefStartDownloadOnStart;

/**
 * Folderview Preferences.
 */
extern const char *prefFolderViewCollapsed;

/**
 * Miscellaneous global preferences
 */
extern int  prefFontScale;


/**
 * Edit Window Geometry
 */
extern int prefEditWindowLeft;
extern int prefEditWindowTop;
extern int prefEditWindowWidth;
extern int prefEditWindowHeight;

/**
 * Edit Window Preferences
 */
extern bool prefEditShowCC;
extern bool prefEditShowBCC;
extern QMainWindow::ToolBarDock prefEditToolBarLocation;
extern bool prefEditToolBarVisible;
extern bool prefEditToolBarUsesBig;
extern bool prefEditToolBarShowLabels;


/**
 * Viewer Window Geometry
 */
extern int prefViewerWindowLeft;
extern int prefViewerWindowTop;
extern int prefViewerWindowWidth;
extern int prefViewerWindowHeight;

/**
 * Viewer Window Preferences
 */
extern bool prefViewerShowCC;
extern bool prefViewerShowBCC;
extern QMainWindow::ToolBarDock prefViewerToolBarLocation;
extern bool prefViewerToolBarVisible;
extern bool prefViewerToolBarUsesBig;
extern bool prefViewerToolBarShowLabels;

/**
 * Address book geometry
 */
extern int prefAddressBookWindowLeft;
extern int prefAddressBookWindowTop;
extern int prefAddressBookWindowWidth;
extern int prefAddressBookWindowHeight;
extern QMainWindow::ToolBarDock prefAddressBookToolBarLocation;
extern bool prefAddressBookToolBarVisible;
extern bool prefAddressBookToolBarUsesBig;
extern bool prefAddressBookToolBarShowLabels;
extern int prefAddressBookNameFieldWidth;
extern int prefAddressBookEmailFieldWidth;
extern int prefAddressBookAddrFieldWidth;
extern int prefAddressBookPhoneFieldWidth;
extern const char *prefAddressBookPath;


/**
 * Miscellaneous mail preferences.
 */
extern const char *prefAttachmentDir;

/**
 * This tells where we print network logs, or NULL if we don't.
 */
extern const char *prefNetworkLog;



#define _USERPREF_H_
#endif // _USERPREF_H_


