/*
 *  Copyright (C)  2000-2001 Marc Wandschneider <mw@kiltdown.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  For more information look at the file COPYRIGHT in this package
 *
 */
#include <sanity.h>

#include <ctype.h>

#include "deencode.h"
#include "mailmessage.h"
#include "mime.h"
#include "netapis.h"




/**
 *=------------------------------------------------------------------------=
 * uuencodeDecode
 *=------------------------------------------------------------------------=
 * given a stream of characters that is uuencoded, deocde the binary data
 * and return it in a big chunk.
 *
 * Parameters:
 *      const char *                - [in]  terminating separator.
 *      int *                       - [out] the size of the attachment.
 *      const char **               - [out] the decoded section.
 *
 * Output:
 *      ERRCODE
 */
ERRCODE uuencodeDecode
(
    const char *separator,
    int *size,
    const char **body
)
{
    K_FAIL("UUencoded message!!!! AUGH!");
    return E_NOTIMPL;
}


/**
 *=------------------------------------------------------------------------=
 * uuencodeEncode
 *=------------------------------------------------------------------------=
 * given a stream of characters that is uuencoded, encode the binary stream
 * and write it to the given network stream
 *
 * Parameters:
 *      int                         - [in]  network stream
 *      const char *                - [in]  binary body to encode
 *      int                         - [in]  size of said body
 *
 * Output:
 *      ERRCODE
 */
ERRCODE uuencodeEncode
(
    int socketfd,
    const char *body,
    int size
)
{
    K_FAIL("Need to UUEncode a message!!!! AUGH!");
    return E_NOTIMPL;
}


